Subject: Re: [Bitcoin-development] Signature Blocks and URI Sign Requests

From: Wladimir <[email-masked]>
Date: Tue, 3 Apr 2012 21:42:52 +0200

On Tue, Apr 3, 2012 at 8:55 PM, Luke-Jr <[email-masked]> wrote:

> On Tuesday, April 03, 2012 2:46:17 PM Gavin Andresen wrote:
> > We should avoid reinventing the wheel, if we can. I think we should
> > extend existing standards whenever possible.
>
> I wonder if it's possible to make sigs compatible with PGP/EC ?
>

Or we could take a step back, further into "don't reinvent the wheel"
territory. Why not simply make use of PGP(/EC) to sign and verify messages?
It has many advantages, like an already existing web-of-trust and keyserver
infrastructure.

I still feel like this is sign message stuff is dragging the kitchen sink
into Bitcoin. It's fine for logging into a website, what you use it for,
but anything that approaches signing email (such as S/MIME implementations
and handling different character encodings) is going too far IMO.

Wladimir